aboutsummaryrefslogtreecommitdiff
path: root/etc/bootstrap/bbot-bootstrap-linux.sh
diff options
context:
space:
mode:
Diffstat (limited to 'etc/bootstrap/bbot-bootstrap-linux.sh')
-rwxr-xr-xetc/bootstrap/bbot-bootstrap-linux.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/etc/bootstrap/bbot-bootstrap-linux.sh b/etc/bootstrap/bbot-bootstrap-linux.sh
new file mode 100755
index 0000000..0aa408d
--- /dev/null
+++ b/etc/bootstrap/bbot-bootstrap-linux.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# file : etc/bootstrap/bbot-bootstrap-linux.sh
+# copyright : Copyright (c) 2014-2017 Code Synthesis Ltd
+# license : TBC; see accompanying LICENSE file
+
+if ! jobs="$(nproc)"; then
+ jobs=1
+fi
+
+"$(dirname "$0")/bbot-bootstrap.sh" \
+ --make make \
+ --make "-j$jobs" \
+ "$@"